Subject: RE: [External] : bug#50811: 28.0.50; Misleading Docstring for read-string function

From: Drew Adams <[email-masked]>
Date: Mon, 27 Sep 2021 15:22:18 +0000

> I wasn't part of the discussions when this happened (I think it was
> more than a decade ago), but I think the idea was that users were annoyed
> that (in many cases) they had to remove the default completely before
> being able to type stuff in.

Which is misguided.  It's not because someone
designs a particular call to `read-*' poorly
that the function shouldn't allow use of
INITIAL-INPUT.  Use it only when that makes
sense.  And let users know what the behavior
(interaction) is for the given command.

> That is, with
> (read-string "PROMPT " "This is the very long default")
> you have to delete all that before you can type in "foo", which is what
> you wanted to say.  (Or `C-a C-k' is you're an expert.)

As the doctor said, "Just don't do that!"
You can misuse anything.  That's not a reason
to have nothing.